Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/php-redis: new aport, replaces testing/phpredis

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Fri, 6 Nov 2015 23:59:41 +0200

---
 testing/php-redis/APKBUILD | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)
 create mode 100644 testing/php-redis/APKBUILD
diff --git a/testing/php-redis/APKBUILD b/testing/php-redis/APKBUILD
new file mode 100644
index 0000000..91a1b57
--- /dev/null
+++ b/testing/php-redis/APKBUILD
_at_@ -0,0 +1,38 @@
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+replaces=phpredis
+pkgname=php-redis
+_pkgreal=redis
+pkgver=2.2.7
+_pkgver=${pkgver/_rc/RC}
+pkgrel=0
+pkgdesc="PHP extension for interfacing with Redis"
+url="http://pecl.php.net/package/$_pkgreal"
+arch="all"
+license="PHP"
+depends=
+pecldepends="php-dev autoconf"
+makedepends="$pecldepends"
+install=""
+subpackages=""
+source="http://pecl.php.net/get/$_pkgreal-$_pkgver.tgz"
+
+_builddir="$srcdir"/$_pkgreal-$_pkgver
+
+build() {
+	cd "$_builddir"
+	phpize || return 1
+	./configure --prefix=/usr || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make INSTALL_ROOT="$pkgdir"/ install || return 1
+	install -d "$pkgdir"/etc/php/conf.d || return 1
+	echo "extension=$_pkgreal.so" > "$pkgdir"/etc/php/conf.d/$_pkgreal.ini
+}
+
+md5sums="c55839465b2c435fd091ac50923f2d96  redis-2.2.7.tgz"
+sha256sums="95e5331cd7e709771eb4479c455bcf326a74b2aea3b1a5cba00b4c95e66dc902  redis-2.2.7.tgz"
+sha512sums="88be2abeda62b7c1c95b6d399bbb5f97774d956001b4d13a8e5f183e86fe6336d91f479a8125adcaeff1ad5617a920953961360fc3484ebafc3ed915bcd7f86c  redis-2.2.7.tgz"
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Nov 06 2015 - 23:59:41 GMT